<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{}, ~{::page}, ~{::script})" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <div class="ui main container" th:fragment="page">
    <th:block th:replace="common/fragments/elements :: title(text = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ACTIVITIES}}, 
                                                             icon = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_ACTIVITIES}, 
                                                             url = @{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_ACTIVITIES}})" 
                                                             />
    <br />
    <form class="ui form" id="activities-form" th:object="${activity}" method="post">
      <input type="hidden" th:field="*{id}" />
      <input th:field="*{created}" type="hidden" />
      <input th:field="*{createdBy}" type="hidden" />
      <div class="ui grid">
        <div class="row">
          <div class="two wide column">
            <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NUMBER}}, 
		                                                         field = 'number', 
		                                                         required = true, 
		                                                         maxlength = 10,
		                                                         placeholder = '', 
		                                                         errormessage = ${#fields.errors('number')},
		                                                         columnsize = ''
		                                                         )" />
          </div>
          <div class="eight wide column">
            <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NAME}}, 
	                                                             field = 'name', 
	                                                             required = true, 
	                                                             maxlength = 80, 
	                                                             placeholder = '', 
	                                                             errormessage = ${#fields.errors('name')},
	                                                             columnsize = ''
	                                                             )" />
          </div>
          <div class="six wide column">
            <th:block th:replace="common/fragments/input :: dropdownlist(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_PROJECT_PHASE}}, 
                                                                         field = 'projectPhase', 
                                                                         options = ${projectphases},
                                                                         optionfield = 'item.name',
                                                                         required = true,
                                                                         columnsize = '',
                                                                         emptyoption = true
                                                                         )" />
          </div>
        </div>
      </div>
      <br />
      <th:block th:replace="common/fragments/form :: actionbuttons(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_BACK},
                                                                   icon1text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_BACK},
                                                                   icon1url = ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_ACTIVITIES},
                                                                   icon2 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_SAVE},
                                                                   icon2text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SAVE},
                                                                   icon2url = ''
                                                                   )" />
      <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}" />
    </form>
  </div>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_ACTIVITIES_JS}}"></script>
</body>
</html>
